Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.ui
Interface IInPlaceEditor

All Superinterfaces:
  IAdaptable, IEditorPart, ISaveablePart, IWorkbenchPart

public interface IInPlaceEditor
extends IEditorPart

Interface for editor parts that represent an in-place style editor.

This interface is not intended to be implemented or extended by clients.

Since:
  3.0
See Also:
  `IEditorDescriptor.isOpenInPlace()`

Field Summary

Fields inherited from interface org.eclipse.ui.IEditorPart
`PROP_DIRTY, PROP_INPUT`

Fields inherited from interface org.eclipse.ui.IWorkbenchPart
`PROP_TITLE`

Method Summary
`void` | `sourceChanged(IInPlaceEditorInput input)` Informs the in-place editor that the system file it is editing was moved or renamed by the application.
`void` | `sourceDeleted()` Informs the in-place editor that the system file it is editing was deleted by the application.

Methods inherited from interface org.eclipse.ui.IEditorPart
`getEditorInput, getEditorSite, init`

Methods inherited from interface org.eclipse.ui.IWorkbenchPart
`addPropertyListener, createPartControl, dispose, getSite, getTitle, getTitleImage, getTitleToolTip, removePropertyListener, setFocus`

Methods inherited from interface org.eclipse.core.runtime.IAdaptable
`getAdapter`

Methods inherited from interface org.eclipse.ui.ISaveablePart
`doSave, doSaveAs, isDirty, isSaveAsAllowed, isSaveOnCloseNeeded`

Method Detail

### sourceDeleted

    public void sourceDeleted()

  Informs the in-place editor that the system file it is editing was deleted by the application.

### sourceChanged

    public void sourceChanged(IInPlaceEditorInput input)

  Informs the in-place editor that the system file it is editing was moved or renamed by the application.

  Parameters:
    `input` - the new in-place editor input to use

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp. and others 2000, 2004. All rights reserved.